package com.gic.haoban.manage.web.vo.content;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2023/3/17 12:53 PM
 * @Description
 * @Version
 * 素材 导购信息
 **/
public class MaterialClerkInfo implements Serializable {
    private static final long serialVersionUID = -7344011473895833194L;

    /**
     * 导购名称
     */
    private String clerkName;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 分享角色
     * 导购、店长、区经
     */
    private Integer clerkType;

    /**
     * 导购code
     */
    private String clerkCode;

    /**
     * 与会员是否是好友关系
     * 1 是; 0否
     */
    private Integer memberRelation;

    /**
     * 导购活码链接
     */
    private String clerkHmUrl;

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public Integer getClerkType() {
        return clerkType;
    }

    public void setClerkType(Integer clerkType) {
        this.clerkType = clerkType;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public Integer getMemberRelation() {
        return memberRelation;
    }

    public void setMemberRelation(Integer memberRelation) {
        this.memberRelation = memberRelation;
    }

    public String getClerkHmUrl() {
        return clerkHmUrl;
    }

    public void setClerkHmUrl(String clerkHmUrl) {
        this.clerkHmUrl = clerkHmUrl;
    }
}
